Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000036Frama-CPlug-in > jessiepublic2009-04-07 15:262009-06-23 18:03
Reportervirgile 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Lithium-20081201 
Target VersionFixed in VersionFrama-C Beryllium-20090601-beta1 
Summary0000036: GUI blocked (100% cpu used) when requested to display an assertion
Description[bug 7497 from old bts, reported by David Mentré]

Hello,

If I do:
 * Launch Jessie GUI on attached evoting.c file:
    "rama-c -jessie-analysis -jessie-atp alt-ergo -jessie-std-stubs -jessie-gui evoting.c";
 * Enter Ctrl+C to collapse all functions;
 * Expand function "main Safety";
 * Click on precondition 64.

The GUI is blocked, using 100% of CPU.

Yours,
d.
Additional InformationLooks a bug in gwhy itself
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000089)
cmarche (developer)
2009-05-22 16:21


The problem is that gwhy is trying to display the jc file, with colr highlighting, and it takes a LONG time
(0000090)
monate (reporter)
2009-05-22 18:31

The performance issue stems from the hiliting tags creation. See in frama-c/src/gui/gtk_helper.ml how make_tag is implemented.

- Issue History
Date Modified Username Field Change
2009-04-07 15:26 virgile New Issue
2009-04-07 15:41 signoles Status new => acknowledged
2009-04-10 10:15 signoles Status acknowledged => assigned
2009-04-10 10:15 signoles Assigned To => cmarche
2009-05-22 16:21 cmarche Note Added: 0000089
2009-05-22 16:21 cmarche Status assigned => acknowledged
2009-05-22 18:31 monate Note Added: 0000090
2009-06-18 17:08 cmarche Status acknowledged => assigned
2009-06-18 17:08 cmarche Assigned To cmarche => virgile
2009-06-19 16:16 monate Status assigned => resolved
2009-06-19 16:16 monate Fixed in Version => Frama-C Beryllium beta-1
2009-06-19 16:16 monate Resolution open => fixed
2009-06-23 18:02 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker